%define section   free

Name:           joesnmp
Version:        0.2.6
Release:        1jpp
Epoch:          0
Summary:        Java SNMP class library 

Group:          Development/Libraries/Java
License:        LGPL
URL:            http://sourceforge.net/projects/joesnmp/
Source0:        joesnmp-source-0.2.6.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Distribution:   JPackage
Vendor:         JPackage Project

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  ant >= 0:1.5
Requires:  jpackage-utils >= 0:1.5

%description
joeSNMP is an open-source Java SNMP class library 
published under the LGPL.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.

%prep
%setup -q -n %{name}-%{version}
find . -name "*.jar" -exec rm {} \;

%build
export CLASSPATH=$(build-classpath \
)
cd src
ant -Dfilters.noload=true jar docs

%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 644 src/work/dist/lib/%{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
#
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr src/work/dist/docs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
#
install -dm 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp src/work/dist/FAQ.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp src/work/dist/UPDATING_OPENNMS.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(-,root,root,-)
%{_docdir}/%{name}-%{version}/*.txt
%{_javadir}/*.jar

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Thu Jul 15 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.2.6-1jpp
- First JPackage release

